package ec.com.smx.corpv2.dto;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The primary key class for the SSPCOTFUNCIONARIO database table.
 * 
 */
@Embeddable
public class FuncionarioDTOPK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	private int codigocompania;

	private String codigofuncionario;

    public FuncionarioDTOPK() {
    }
	public int getCodigocompania() {
		return this.codigocompania;
	}
	public void setCodigocompania(int codigocompania) {
		this.codigocompania = codigocompania;
	}
	public String getCodigofuncionario() {
		return this.codigofuncionario;
	}
	public void setCodigofuncionario(String codigofuncionario) {
		this.codigofuncionario = codigofuncionario;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof FuncionarioDTOPK)) {
			return false;
		}
		FuncionarioDTOPK castOther = (FuncionarioDTOPK)other;
		return 
			(this.codigocompania == castOther.codigocompania)
			&& this.codigofuncionario.equals(castOther.codigofuncionario);

    }
    
	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.codigocompania;
		hash = hash * prime + this.codigofuncionario.hashCode();
		
		return hash;
    }
}