package ec.com.smx.frameworkv2.dto;

import java.io.Serializable;
import javax.persistence.*;
import java.sql.Timestamp;
import java.math.BigDecimal;


/**
 * The persistent class for the KSSEGTUSER database table.
 * 
 */
@Entity
@Table(name="KSSEGTUSER")
public class UserDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String userid;

	private BigDecimal cmsprofileid;

	private Timestamp lastmodificationdate;

	private String lastmodifieruserid;

	private String observation;

	private Timestamp registerdate;

	private String registeruserid;

	private String usercomnom;

	private Timestamp usercredat;

	private String useremail;

	private String usernom;

	private Timestamp userpasswordcaducitydate;

	private String userpasswordencrypted;

	private String userpwd;

	private String userroltypeid;

	private String usersecque;

	private String usersecqueans;

	private String userstatus;

	private String usersuper;

	private String usertypeid;

	private Timestamp userupddat;

    public UserDTO() {
    }

	public String getUserid() {
		return this.userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}

	public BigDecimal getCmsprofileid() {
		return this.cmsprofileid;
	}

	public void setCmsprofileid(BigDecimal cmsprofileid) {
		this.cmsprofileid = cmsprofileid;
	}

	public Timestamp getLastmodificationdate() {
		return this.lastmodificationdate;
	}

	public void setLastmodificationdate(Timestamp lastmodificationdate) {
		this.lastmodificationdate = lastmodificationdate;
	}

	public String getLastmodifieruserid() {
		return this.lastmodifieruserid;
	}

	public void setLastmodifieruserid(String lastmodifieruserid) {
		this.lastmodifieruserid = lastmodifieruserid;
	}

	public String getObservation() {
		return this.observation;
	}

	public void setObservation(String observation) {
		this.observation = observation;
	}

	public Timestamp getRegisterdate() {
		return this.registerdate;
	}

	public void setRegisterdate(Timestamp registerdate) {
		this.registerdate = registerdate;
	}

	public String getRegisteruserid() {
		return this.registeruserid;
	}

	public void setRegisteruserid(String registeruserid) {
		this.registeruserid = registeruserid;
	}

	public String getUsercomnom() {
		return this.usercomnom;
	}

	public void setUsercomnom(String usercomnom) {
		this.usercomnom = usercomnom;
	}

	public Timestamp getUsercredat() {
		return this.usercredat;
	}

	public void setUsercredat(Timestamp usercredat) {
		this.usercredat = usercredat;
	}

	public String getUseremail() {
		return this.useremail;
	}

	public void setUseremail(String useremail) {
		this.useremail = useremail;
	}

	public String getUsernom() {
		return this.usernom;
	}

	public void setUsernom(String usernom) {
		this.usernom = usernom;
	}

	public Timestamp getUserpasswordcaducitydate() {
		return this.userpasswordcaducitydate;
	}

	public void setUserpasswordcaducitydate(Timestamp userpasswordcaducitydate) {
		this.userpasswordcaducitydate = userpasswordcaducitydate;
	}

	public String getUserpasswordencrypted() {
		return this.userpasswordencrypted;
	}

	public void setUserpasswordencrypted(String userpasswordencrypted) {
		this.userpasswordencrypted = userpasswordencrypted;
	}

	public String getUserpwd() {
		return this.userpwd;
	}

	public void setUserpwd(String userpwd) {
		this.userpwd = userpwd;
	}

	public String getUserroltypeid() {
		return this.userroltypeid;
	}

	public void setUserroltypeid(String userroltypeid) {
		this.userroltypeid = userroltypeid;
	}

	public String getUsersecque() {
		return this.usersecque;
	}

	public void setUsersecque(String usersecque) {
		this.usersecque = usersecque;
	}

	public String getUsersecqueans() {
		return this.usersecqueans;
	}

	public void setUsersecqueans(String usersecqueans) {
		this.usersecqueans = usersecqueans;
	}

	public String getUserstatus() {
		return this.userstatus;
	}

	public void setUserstatus(String userstatus) {
		this.userstatus = userstatus;
	}

	public String getUsersuper() {
		return this.usersuper;
	}

	public void setUsersuper(String usersuper) {
		this.usersuper = usersuper;
	}

	public String getUsertypeid() {
		return this.usertypeid;
	}

	public void setUsertypeid(String usertypeid) {
		this.usertypeid = usertypeid;
	}

	public Timestamp getUserupddat() {
		return this.userupddat;
	}

	public void setUserupddat(Timestamp userupddat) {
		this.userupddat = userupddat;
	}

}