--RUN IN DSMXMBASE SCHEMA
CREATE TABLE KSSEGTUSER (
		USERID VARCHAR(32) NOT NULL,
		USERNOM VARCHAR(64),
		USERCOMNOM VARCHAR(64),
		USERPWD VARCHAR(56) NOT NULL,
		USERSECQUE VARCHAR(128),
		USERSECQUEANS VARCHAR(128),
		USEREMAIL VARCHAR(64),
		USERSTATUS VARCHAR(1),
		USERROLTYPEID VARCHAR(32),
		USERPASSWORDENCRYPTED VARCHAR(1),
		USERPASSWORDCADUCITYDATE TIMESTAMP,
		CMSPROFILEID DECIMAL(10 , 0),
		USERCREDAT TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
		USERUPDDAT TIMESTAMP,
		USERSUPER VARCHAR(1),
		REGISTERUSERID VARCHAR(32) DEFAULT 'FRM0' NOT NULL,
		REGISTERDATE TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
		LASTMODIFIERUSERID VARCHAR(32),
		LASTMODIFICATIONDATE TIMESTAMP,
		OBSERVATION VARCHAR(200),
		USERTYPEID VARCHAR(32) DEFAULT 'INTERNO' NOT NULL
	);

CREATE INDEX FKUSEPKROL ON KSSEGTUSER (USERROLTYPEID ASC);

CREATE UNIQUE INDEX KSSEGTUSER ON KSSEGTUSER (USERID ASC);

CREATE INDEX KSSEGFKUSETY ON KSSEGTUSER (USERTYPEID ASC);

ALTER TABLE KSSEGTUSER ADD CONSTRAINT KSSEGPKUSER PRIMARY KEY (USERID);

ALTER TABLE KSSEGTUSER ADD CONSTRAINT KSSEGFKUSETY FOREIGN KEY (USERTYPEID)
	REFERENCES KSSEGTUSERTYPE (USERTYPEID)
	ON DELETE RESTRICT
	ON UPDATE RESTRICT;

ALTER TABLE KSSEGTUSER ADD CONSTRAINT FKUSEPKROL FOREIGN KEY (USERROLTYPEID)
	REFERENCES KSSEGTUSERROLTYPE (USERROLTYPEID)
	ON DELETE RESTRICT
	ON UPDATE RESTRICT;


--GRANT TO DSMXCORP SCHEMA
GRANT SELECT, REFERENCES, INSERT,UPDATE TO TABLE KSSEGTUSER TO DSMXCORP